import java.util.Random;

public class DummyBot extends Bot {
    protected final Random random = new Random();

    protected DummyBot(String[] args) {
        super(args);
    }

    @Override
    protected char nextMove(View view) {
        String data = view.data
                .replace('^', '*')
                .replace('<', '*')
                .replace('>', '*')
                .replace('v', '*');

        if (data.contains("*") && random.nextFloat() < 0.8)
            return 'f';

        return switch (random.nextInt(10)) {
            case 1 -> '<';
            case 2 -> '>';
            case 3 -> 'v';
            default -> '^';
        };
    }

    @Override
    protected void print(View view) {
    }
}
